log4cplus::helpers::snprintf_buf Class Reference

`#include <snprintf.h>`

## Public Member Functions

| snprintf_buf ()
tchar const * | print (tchar const *fmt,...) LOG4CPLUS_FORMAT_ATTRIBUTE(__printf__
tchar const int | print_va_list (tchar const *&str, tchar const *fmt, std::va_list) LOG4CPLUS_FORMAT_ATTRIBUTE(__printf__

## Detailed Description

Definition at line 42 of file snprintf.h.

## Constructor & Destructor Documentation

## snprintf_buf()

log4cplus::helpers::snprintf_buf::snprintf_buf | ( |  | ) |

## Member Function Documentation

## print()

tchar const * log4cplus::helpers::snprintf_buf::print | ( | tchar const * | fmt,
|  |  | ... )

References LOG4CPLUS_FORMAT_ATTRIBUTE.

## print_va_list()

tchar const int log4cplus::helpers::snprintf_buf::print_va_list | ( | tchar const *& | str,
|  | tchar const * | fmt,
|  | std::va_list | )

References LOG4CPLUS_FORMAT_ATTRIBUTE, and print_va_list().

Referenced by print_va_list().

The documentation for this class was generated from the following file:

- snprintf.h